package com.example.demo.orders.repository;

import java.util.List;

import org.springframework.data.repository.CrudRepository;

import com.example.demo.orders.model.OrderEntity;

public interface OrderRepository extends CrudRepository<OrderEntity, Long> {
    @SuppressWarnings("null")
    List<OrderEntity> findAll();

    List<OrderEntity> findByUserIdAndLinesProductId(long userId, List<Long> lines);

    List<OrderEntity> findByLinesProductId(List<Long> lines);

    List<OrderEntity> findByUserId(long userId);

}
